# sc::SCElementDot Class Reference

Inheritance diagram for sc::SCElementDot:

List of all members.

## Public Member Functions
| SCElementDot (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
| SCElementDot (double **a, double **b, int length)
void | process (SCMatrixBlockIter &)
| This is the fallback routine to process blocks and is called by process_spec members that are not overridden.
int | has_side_effects ()
| By default this returns nonzero.

## Member Function Documentation

int sc::SCElementDot::has_side_effects | ( |  | ) | `[virtual]`

By default this returns nonzero.

If the ElementOp specialization will change any elements of the matrix, then this must be overridden to return nonzero.

Reimplemented from sc::SCElementOp.

void sc::SCElementDot::process | ( | SCMatrixBlockIter & |  | ) | `[virtual]`

This is the fallback routine to process blocks and is called by process_spec members that are not overridden.

Implements sc::SCElementOp.

void sc::SCElementDot::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- elemop.h